service_list:
  - name: lvm-related
    services:
      - lvm2
      - lvm2-lvmpolld
      - lvm2-lvmpolld.socket
      - lvm2-lvmetad
      - lvm2-lvmetad.socket
      - lvm2-monitor
      - lvm2-pvscan@
      - lvm2-activation
      - lvm2-activation-early
      - lvm2-clvmd
      - blk-availability
      - e2scrub@
      - e2scrub_all
      - e2scrub_all.timer
      - e2scrub_fail@
      - e2scrub_reap
  - name: mdm
    services:
      - mdadm
      - mdadm-waitidle
      - mdadm-grow-continue@
      - mdadm-last-resort@
      - mdadm-last-resort@.timer
      - mdmon@
      - mdmonitor
      - mdcheck_continue
      - mdcheck_continue.timer
      - mdcheck_start
      - mdcheck_start.timer
      - mdmonitor-oneshot
      - mdmonitor-oneshot.timer
  - name: ureadahead
    services:
      - ureadahead
      - ureadahead-stop
      - ureadahead-stop.timer
      - ureadahead-other
      - systemd-readahead-collect
      - systemd-readahead-done
      - systemd-readahead-done.timer
      - systemd-readahead-drop
      - systemd-readahead-replay
      - systemd-readahead-done
      - systemd-readahead-done.timer
      - readahead
      - readahead-collector
      - readahead-disable-services
  - name: hardware-related
    services:
      - fwupd-refresh
      - fwupd-refresh.timer
      - gpu-manager
      - wacom-inputattach@
      - rtkit-daemon
      - iio-sensor-proxy
      - fprintd
      - blivet
      - bluetooth
      - btattach-bcm@
      - ModemManager
      - configure-printer@
      - udisks2
      - usb_modeswitch@
      - usbmuxd
      - iprdump
      - iprinit
      - iprupdate
      - xen-vcpu-watch
      - microcode
      - microcode.ctl
      - mcelog
      - mcelogd
      - numad
      - irqbalance
      - irq_balancer
      - acpid
      - acpid.path
      - acpid.socket
      - hald
      - haldaemon
      - alsa-utils
      - alsasound
      - ondemand
      - systemd-udev-root-symlink
      - udev
      - dev-mqueue.mount
      - module-init-tools
      - dmraid-activation
      - dm-event
      - dm-event.socket
      - kexec-disable
      - udev-post
      - hwclock
      - hwclock.sh
      - hwclock-save
      - dmesg
      - check-battery
      - check-battery.timer
      - libstoragemgmt
      - fbset
      - smartd
      - kbd
      - bolt
      - detect-part-label-duplicates
      - alsa-restore
      - alsa-state
      - alsa-store
      - cpuspeed
      - tuned
  - name: firewalls
    services:
      - iptables
      - ip6tables
      - firewalld
      - ebtables
      - ufw
  - name: snap
    services:
      - snapd
      - snap-core18-1988.mount
      - snap-google\x2dcloud\x2dsdk-170.mount
      - snap-snapd-11036.mount
      - snapd.autoimport
      - snapd.core-fixup
      - snapd.seeded
      - snapd.apparmor
      - snapd.failure
      - snapd.recovery-chooser-trigger
      - snapd.snap-repair
      - snapd.snap-repair.timer
      - snapd.socket
      - snapd.system-shutdown
      - snap-amazon\x2dssm\x2dagent-930.mount
      - snap-core-6350.mount
      - snap.amazon-ssm-agent.amazon-ssm-agent
      - snap-amazon\x2dssm\x2dagent-1335.mount
      - snap-core-7270.mount
      - snap-lxd-10972.mount
      - snap.lxd.activate
      - snap.lxd.daemon
      - snap.lxd.daemon.unix.socket
      - snap-amazon\x2dssm\x2dagent-1480.mount
      - snap-core-7713.mount
      - snap-lxd-11985.mount
      - snap-core-8039.mount
      - snap-lxd-12631.mount
      - snap-core18-2074.mount
      - snap-google\x2dcloud\x2dsdk-190.mount
      - snap-snapd-12398.mount
  - name: multpath-and-iscsi
    services:
      - multipathd
      - iscsid
      - iscsi
      - open-iscsi
      - iscsi-onboot
      - iscsid.socket
      - multipath-tools
      - multipathd.socket
      - iscsi-shutdown
      - iscsiuio.socket
  - name: cloud-services
    services:
      - cloud-init-local
      - cloud-init
      - cloud-final
      - cloud-config
      - cloud-init-container
      - cloud-init-nonet
      - cloud-log-shutdown
  - name: gce-services
    services:
      - google-shutdown-scripts-block-rsyslog
      - google-accounts-daemon
      - google-clock-skew-daemon
      - google-instance-setup
      - google-network-daemon
      - google-shutdown-scripts
      - google-startup-scripts
      - google-disk-expand
      - google-guest-agent
      - google-osconfig-agent
      - google-oslogin-cache
      - google-oslogin-cache.timer
      - google-fluentd
      - stackdriver-agent
  - name: gce-deprecated-services
    services:
      - expand-root
  - name: ec2-services
    services:
      - amazon-ssm-agent
      - ec2net-ifup@
      - getsshkey
      - elastic-network-interfaces
      - hibinit-agent
      - print-image-id
      - ec2-get-credentials
      - cfn-hup
      - cloud-netconfig
      - cloud-netconfig.timer
      - guestregister
      - rh-cloud-firstboot
  - name: m4ce-services
    services:
      - velostrata
      - velostrata-keep-alive
      - migrate-for-gce
      - migrate-for-gce-keep-alive
  - name: vmtools
    services:
      - vmtoolsd
      - vmware-tools
      - open-vm-tools
      - vgauth
      - vgauthd
  - name: audit-daemon
    services:
      - auditd
  - name: ntp
    services:
      - ntp
      - ntpd
      - ntpdate
      - chrony-dnssrv@
      - chronyd
      - chrony
  - name: kernel-modules
    services:
      - modprobe@
      - modprobe@drm
      - rhel-loadmodules
      - loadmodules
      - loadmodules
      - systemd-modules-load
      - kmod
      - kmod-static-nodes
      - netconsole
      - klog
      - kdump
      - abrt-oops
      - ksm
      - ksmtuned
      - dkms_autoinstaller
  - name: mounts
    services:
      - sys-kernel-config.mount
      - dev-hugepages.mount
      - var-lib-nfs-rpc_pipefs.mount
      - systemd-journald-audit.socket
      - sys-fs-fuse-connections.mount
      - sys-kernel-debug.mount
      - proc-sys-fs-binfmt_misc.automount
      - proc-sys-fs-binfmt_misc.mount
      - netfs
      - smbfs
      - network-remotefs
      - umountfs
      - umountroot
      - wpa_supplicant
  - name: lxc-services
    services:
      - lxd-agent
      - lxd-agent-9p
      - lxd
      - lxcfs
      - lxd-containers
      - lxd.socket
      - lxd-bridge
  - name: network
    services:
      - rdisc
      - ipsec
      - netplan-wpa@
      - NetworkManager
      - NetworkManager-dispatcher
      - NetworkManager-wait-online
      - avahi-daemon
      - avahi-daemon.socket
  - name: azure-services
    services:
      - waagent
      - walinuxagent
  - name: gui-related
    services:
      - xdm
      - splash
      - splash_early
      - display-manager
      - gdm
      - x11-common
  - name: bootd-blacklist
    services:
      - boot.apparmor
      - boot.clock
      - boot.crypto
      - boot.crypto-early
      - boot.debugfs
      - boot.device-mapper
      - boot.dmraid
      - boot.kdump
      - boot.klog
      - boot.loadmodules
      - boot.lvm
      - boot.lvm_monitor
      - boot.md
      - boot.multipath
      - boot.open-iscsi
      - boot.sysctl
      - secureboot-db
  - name: fstrim
    services:
      - fstrim
      - fstrim.timer
  - name: security
    services:
      - apparmor
  - name: initrd
    services:
      - initrd-cleanup
      - initrd-fs.target
      - initrd-parse-etc
      - initrd-root-device.target
      - initrd-root-fs.target
      - initrd-switch-root
      - initrd-switch-root.target
      - initrd-udevadm-cleanup-db
      - initrd.target
  - name: cryptdisk
    services:
      - cryptdisks
      - cryptdisks-early
      - cryptsetup-pre.target
      - cryptsetup.target
  - name: snapd
    services:
      - snap-core18-1944.mount
      - snap-lxd-18150.mount
      - snap-snapd-10707.mount
      - snapd.apparmor
      - snapd.failure
      - snapd.recovery-chooser-trigger
      - snapd.snap-repair
      - snapd.snap-repair.timer
      - snapd.socket
      - snapd.system-shutdown
  - name: dns
    services:
      - pppd-dns
      - resolvconf
      - dns-clean
      - unbound-anchor
      - unbound-anchor.timer
  - name: dracut
    services:
      - dracut-cmdline
      - dracut-initqueue
      - dracut-mount
      - dracut-pre-mount
      - dracut-pre-pivot
      - dracut-pre-trigger
      - dracut-pre-udev
      - dracut-shutdown
  - name: brtfs
    services:
      - btrfs-balance
      - btrfs-balance.timer
      - btrfs-defrag
      - btrfs-scrub
      - btrfs-scrub.timer
      - btrfs-trim
      - btrfsmaintenance-refresh
      - btrfsmaintenance-refresh.path
  - name: snapper
    services:
      - snapper-boot
      - snapper-cleanup
      - snapper-cleanup.timer
      - snapper-timeline
      - snapper-timeline.timer
      - rollback
      - purge-kernels
  - name: suse-specific
    services:
      - jeos-firstboot
      - backup-rpmdb
      - backup-rpmdb.timer
      - backup-sysconfig
      - backup-sysconfig.timer
      - SuSEfirewall2
      - SuSEfirewall2_init
      - SuSEfirewall2_setup
  - name: centos-specific
    services:
      - dnf-automatic
      - dnf-automatic-download
      - dnf-automatic-install
      - dnf-automatic-notifyonly
  - name: virt-related
    services:
      - qemu-pr-helper
      - libvirt-guests
      - virtlockd
      - virtlockd.socket
      - virtlogd
      - virtlogd.socket
      - spice-vdagentd
      - spice-vdagentd.socket
      - hypervfcopyd
      - hypervkvpd
      - hypervvssd
      - libvirtd
  - name: nfs
    services:
      - nfs-common
      - nfs-convert
      - nfs
      - nfslock
      - rpcgssd
      - rpc-svcgssd
      - rpcsvcgssd
      - auth-rpcgss-module
      - rpc-gssd
      - nfs-lock
      - nfs-mountd
      - nfs-config
      - nfs-idmap
      - nfs-idmapd
      - nfs-secure
      - nfs-utils
      - proc-fs-nfsd.mount
      - rpc-statd
      - rpc-statd-notify
      - rpcbind
      - rpcbind.socket
      - rpcidmapd
      - umountnfs.sh
      - nfsserver
      - nfs-rdma
      - rdma-load-modules@
  - name: selinux
    services:
      - selinux-policy-migrate-local-changes@
      - rhel-autorelabel
      - rhel-autorelabel-mark
      - restorecond
      - selinux-autorelabel
      - selinux-autorelabel-mark
      - selinux-autorelabel
      - selinux-autorelabel-mark
  - name: rhel-specific
    services:
      - rhel-import-state
      - import-state
      - teamd@
  - name: bootlogs
    services:
      - bootlogd
      - stop-bootlogd
      - stop-bootlogd-single
      - bootlogs
  - name: misc
    services:
      - colord
      - rdma
      - rdma-ndd
      - rngd
      - landscape-client
      - halt
      - halt.local
      - reboot
      - hibagent
      - psacct
      - man-db
      - man-db.timer
      - man-db-cache-update
      - mandb
      - man-db-cache-update
      - mandb.timer
      - mlocate
      - mlocate-updatedb
      - qemu-guest-agent
      - fail2ban
  - name: dns
    services:
      - named
  - name: xfs
    services:
      - xfs_scrub@
      - xfs_scrub_all
  - name: boot
    services:
      - grub-initrd-fallback
      - YaST2-Firstboot
      - YaST2-Second-Stage
      - bootmsg
  - name: update
    services:
      - fwupd
      - fwupd-offline-update
      - packagekit
      - packagekit-offline-update
